<html>
<head><title>jhe</title></head>
<body><h1>Conversation with jhe</h1>
<font color="#204a87"><font size="2">(05:10:44 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> jhe where can I read a good documentation about bluetooth and bluez?</font><br>
<font color="#204a87"><font size="2">(05:11:05 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> the site isn't enough.. </font><br>
<font color="#204a87"><font size="2">(05:11:21 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> wiki.bluez.org</font><br>
<font size="2"><font color="#cc0000">(05:18:22 PM) </font></font><font color="#cc0000"><b><font size="3">jhe:</font></b></font><font size="3"></font><font size="3"> I think you should be able to find some texts/books through google. both online and offline form</font><br>
<font size="2"><font color="#cc0000">(05:18:39 PM) </font></font><font color="#cc0000"><b><font size="3">jhe:</font></b></font><font size="3"></font><font size="3"> though I have to admit that on the bluez front the documentation is quite badly lacking</font><br>
<font color="#204a87"><font size="2">(05:56:03 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> jhe, just connection refused now</font><br>
<font size="2"><font color="#cc0000">(06:04:07 PM) </font></font><font color="#cc0000"><b><font size="3">jhe:</font></b></font><font size="3"></font><font size="3"> yep, so maybe your rfcomm server isn't working properly or maybe the client is trying to connect to a different channel than what the server is running on?</font><br>
<font size="2"><font color="#cc0000">(06:04:15 PM) </font></font><font color="#cc0000"><b><font size="3">jhe:</font></b></font><font size="3"></font><font size="3"> hcidump would give you the answer</font><br>
<font color="#204a87"><font size="2">(06:16:32 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> what's the server should run?</font><br>
<font color="#204a87"><font size="2">(06:17:05 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> I ran the sdptool add SP at the server</font><br>
<font color="#204a87"><font size="2">(06:18:40 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> then I ran the server that just try to connect to the service using the ConnectService((&quot;11:11:11:11:11:11&quot;, &quot;spp&quot;))</font><br>
<font size="2"><font color="#cc0000">(06:18:55 PM) </font></font><font color="#cc0000"><b><font size="3">jhe:</font></b></font><font size="3"></font><font size="3"> sdptool add SP just adds a service record, i.e. a reference to a server</font><br>
<font size="2"><font color="#cc0000">(06:19:03 PM) </font></font><font color="#cc0000"><b><font size="3">jhe:</font></b></font><font size="3"></font><font size="3"> but the server of course still needs to exist</font><br>
<font size="2"><font color="#cc0000">(06:19:12 PM) </font></font><font color="#cc0000"><b><font size="3">jhe:</font></b></font><font size="3"></font><font size="3"> which it doesn't if you haven't started one</font><br>
<font size="2"><font color="#cc0000">(06:19:24 PM) </font></font><font color="#cc0000"><b><font size="3">jhe:</font></b></font><font size="3"></font><font size="3"> you can e.g. start a quick server with rfcomm listen...</font><br>
<font size="2"><font color="#cc0000">(06:19:43 PM) </font></font><font color="#cc0000"><b><font size="3">jhe:</font></b></font><font size="3"></font><font size="3"> or then by using the bluez rfcomm socket interface</font><br>
<font color="#204a87"><font size="2">(06:21:59 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> ow sorry, I forgot that, I ran the server using lightblue-python server</font><br>
<font color="#204a87"><font size="2">(06:24:41 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> uhhuu!!! It's done! it's work!</font><br>
<font color="#204a87"><font size="2">(06:24:53 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> \o/!!!</font><br>
<font color="#204a87"><font size="2">(06:25:04 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> Thank you very much!</font><br>
<font color="#204a87"><font size="2">(06:25:15 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> what is your name?</font><br>
<font color="#204a87"><font size="2">(06:31:10 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> how do I do the same effect of the sdptool add SP with the bluez?</font><br>
<font size="2"><font color="#cc0000">(06:32:54 PM) </font></font><font color="#cc0000"><b><font size="3">jhe:</font></b></font><font size="3"></font><font size="3"> nice to hear that it works</font><br>
<font size="2"><font color="#cc0000">(06:33:16 PM) </font></font><font color="#cc0000"><b><font size="3">jhe:</font></b></font><font size="3"></font><font size="3"> there's a D-Bus method called RegisterServiceRecord or something similar that you can do it with</font><br>
<font size="2"><font color="#cc0000">(06:33:32 PM) </font></font><font color="#cc0000"><b><font size="3">jhe:</font></b></font><font size="3"></font><font size="3"> however then you need to have the full record in a special xml format</font><br>
<font size="2"><font color="#cc0000">(06:33:49 PM) </font></font><font color="#cc0000"><b><font size="3">jhe:</font></b></font><font size="3"></font><font size="3"> (or binary format created using the libbluetooth sdp functions)</font><br>
<font size="2"><font color="#cc0000">(06:35:18 PM) </font></font><font color="#cc0000"><b><font size="3">jhe:</font></b></font><font size="3"></font><font size="3"> I'm Johan Hedberg (one of the main bluez developers)</font><br>
<font color="#204a87"><font size="2">(06:37:05 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> thank you Johan</font><br>
<font color="#204a87"><font size="2">(06:37:30 PM) </font><b><font size="3">rodrigopex:</font></b></font><font size="3"></font><font size="3"> I'm Rodrigo Peixoto, from brazil. </font>
</body>
</html>
